Debian Bug report logs - #544024
bash-completion: cannot complete path if path component contains spaces

version graph

Package: bash-completion; Maintainer for bash-completion is Bash Completion Maintainers <bash-completion-devel@lists.alioth.debian.org>; Source for bash-completion is src:bash-completion.

Reported by: Norbert Preining <preining@logic.at>

Date: Fri, 28 Aug 2009 08:42:14 UTC

Severity: important

Tags: confirmed, fixed-upstream

Merged with 543982, 544956, 547349, 548454, 549284, 549548, 550186, 556224

Found in version bash-completion/1:1.0-3

Fixed in version bash-completion/1:1.1-1

Done: David Paleino <d.paleino@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, preining@logic.at, Bash Completion Maintainers <bash-completion-devel@lists.alioth.debian.org>:
Bug#544024; Package bash-completion. (Fri, 28 Aug 2009 08:42:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
New Bug report received and forwarded. Copy sent to preining@logic.at, Bash Completion Maintainers <bash-completion-devel@lists.alioth.debian.org>. (Fri, 28 Aug 2009 08:42:21 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: bash-completion: cannot complete path if path component contains spaces
Date: Thu, 27 Aug 2009 14:21:20 +0200
Package: bash-completion
Version: 1:1.0-3
Severity: normal


$ mv foobar /xp/Dokumente\ und\ Einstellungen/nor<TAB><TAB>

gives nothing. But there is
	/xp/Dokumente\ und\ Einstellungen/norbert
Even without the "nor" double TAB does not show the contents of the
directory.

Best

Norbert

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31-rc7 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages bash-completion depends on:
ii  bash                          4.0-4      The GNU Bourne Again SHell

bash-completion recommends no packages.

bash-completion suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, espeoneefi@eep.dnsalias.org, Bash Completion Maintainers <bash-completion-devel@lists.alioth.debian.org>:
Bug#544024; Package bash-completion. (Sat, 29 Aug 2009 22:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to EspeonEefi <espeoneefi@eep.dnsalias.org>:
Extra info received and forwarded to list. Copy sent to espeoneefi@eep.dnsalias.org, Bash Completion Maintainers <bash-completion-devel@lists.alioth.debian.org>. (Sat, 29 Aug 2009 22:42:08 GMT) Full text and rfc822 format available.

Message #10 received at 544024@bugs.debian.org (full text, mbox):

From: EspeonEefi <espeoneefi@eep.dnsalias.org>
To: Debian Bug Tracking System <544024@bugs.debian.org>
Subject: Completion with backslashes broken
Date: Sat, 29 Aug 2009 18:34:02 -0400
Package: bash-completion
Version: 1:1.0-3
Severity: normal

I've noticed that this seems to affect all completions involving paths
that need a backslash to escape some character. I have a number of files
with square brackets in their names which also have had their
completions broken after the upgrade to bash 4.0. Basically, as long as
the filename fragment to be completed does not contain a backslash, the
completion will work just fine, but any filename fragment that does
contain a backslash will fail to complete.

Perhaps this is related to this item in the NEWS file for bash 4.0?

"""
i.  The programmable completion code now uses the same set of characters as
    readline when breaking the command line into a list of words.
"""

I see that /etc/bash_completion uses its own _get_cword() and _filedir()
functions instead of using the shell builtins. Perhaps the above change
made some of the assumptions these functions are making inaccurate? Note
that completion of filenames with backslashes does work when I turn
bash_completion off (i.e., remove the sourcing of /etc/bash_completion
from my ~/.bashrc).

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages bash-completion depends on:
ii  bash                          4.0-4      The GNU Bourne Again SHell

bash-completion recommends no packages.

bash-completion suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Bash Completion Maintainers <bash-completion-devel@lists.alioth.debian.org>:
Bug#544024; Package bash-completion. (Wed, 02 Sep 2009 21:54:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Bash Completion Maintainers <bash-completion-devel@lists.alioth.debian.org>. (Wed, 02 Sep 2009 21:54:09 GMT) Full text and rfc822 format available.

Message #15 received at 544024@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: 544024@bugs.debian.org
Subject: Re: Bug#544024: bash-completion: cannot complete path if path component contains spaces
Date: Wed, 2 Sep 2009 23:44:14 +0200
severity 544024 important
thanks

On Do, 27 Aug 2009, Norbert Preining wrote:
> $ mv foobar /xp/Dokumente\ und\ Einstellungen/nor<TAB><TAB>
> 
> gives nothing. But there is
> 	/xp/Dokumente\ und\ Einstellungen/norbert
> Even without the "nor" double TAB does not show the contents of the
> directory.

Arg, and not even file names with spaces in names can be completed,
that is a PITA!!!

I have the feeling that this whole completion is getting more and 
more useless, because it tries to be more intelligent than Einstein.

Filename completion should be *ALWAYS* the fallback even if no known
completion method is known.

I consider this now important, since it actually makes completion
useless if spaces in names are not supported.

Best wishes

Norbert

-------------------------------------------------------------------------------
Dr. Norbert Preining <preining@logic.at>        Vienna University of Technology
Debian Developer <preining@debian.org>                         Debian TeX Group
gpg DSA: 0x09C5B094      fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
-------------------------------------------------------------------------------
CURRY MALLET (n.)
A large wooden or rubber cub which poachers use to despatch cats or
other game which they can only sell to Indian resturants. For
particulary small cats the price obtainable is not worth the cost of
expending ammunition.
			--- Douglas Adams, The Meaning of Liff




Severity set to 'important' from 'normal' Request was from Norbert Preining <preining@logic.at> to control@bugs.debian.org. (Wed, 02 Sep 2009 21:54:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, espeoneefi@eep.dnsalias.org, preining@logic.at, Bash Completion Maintainers <bash-completion-devel@lists.alioth.debian.org>:
Bug#544024; Package bash-completion. (Thu, 03 Sep 2009 13:03:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to EspeonEefi <espeoneefi@eep.dnsalias.org>:
Extra info received and forwarded to list. Copy sent to espeoneefi@eep.dnsalias.org, preining@logic.at, Bash Completion Maintainers <bash-completion-devel@lists.alioth.debian.org>. (Thu, 03 Sep 2009 13:03:25 GMT) Full text and rfc822 format available.

Message #22 received at 544024@bugs.debian.org (full text, mbox):

From: EspeonEefi <espeoneefi@eep.dnsalias.org>
To: Debian Bug Tracking System <544024@bugs.debian.org>
Subject: Re: Completion with backslashes broken
Date: Thu, 03 Sep 2009 08:35:45 -0400
Package: bash-completion
Version: 1:1.0-3
Severity: normal

I've figured out a fix that seems to work:

--- /etc/bash_completion.orig	2009-09-03 08:21:15.229720217 -0400
+++ /etc/bash_completion	2009-09-03 08:21:36.473719600 -0400
@@ -213,6 +213,10 @@
 # results in the original argument
 quote_readline()
 {
+	if [ ${BASH_VERSINFO[0]} -gt 3 ]; then
+		echo "$1"
+		return
+	fi
 	local t="${1//\\/\\\\}"
 	echo \'${t//\'/\'\\\'\'}\' #'# Help vim syntax highlighting
 }

quote_readline() quotes its argument in a way so that readline dequoting
results in the original argument. _filedir() and _filedir_xspec() use
quote_readline() to quote the word to complete before passing it to
'compgen -d' and 'compgen -f'. Apparently, something changed in bash 4.0
that makes this unnecessary.

I'm not sure whether this is the correct long-term fix. You might also
want to re-examine the need for _filedir() and _filedir_xspec as well;
their ostensible purpose according to the comments is that "it's better
than simply using 'compgen -f', because it honours spaces in filenames,"
but it seems that modern 'compgen -f' deals with spaces just fine. Also,
I'm not sure whether this is actually a bash_completion bug or it's an
inadvertent change in the bash API for compgen that should be reverted.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages bash-completion depends on:
ii  bash                          4.0-4      The GNU Bourne Again SHell

bash-completion recommends no packages.

bash-completion suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Bash Completion Maintainers <bash-completion-devel@lists.alioth.debian.org>:
Bug#544024; Package bash-completion. (Thu, 03 Sep 2009 13:33:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Bash Completion Maintainers <bash-completion-devel@lists.alioth.debian.org>. (Thu, 03 Sep 2009 13:33:26 GMT) Full text and rfc822 format available.

Message #27 received at 544024@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: EspeonEefi <espeoneefi@eep.dnsalias.org>, 544024@bugs.debian.org
Subject: Re: Bug#544024: Completion with backslashes broken
Date: Thu, 3 Sep 2009 15:13:40 +0200
On Do, 03 Sep 2009, EspeonEefi wrote:
> --- /etc/bash_completion.orig	2009-09-03 08:21:15.229720217 -0400
> +++ /etc/bash_completion	2009-09-03 08:21:36.473719600 -0400
> @@ -213,6 +213,10 @@
>  # results in the original argument
>  quote_readline()
>  {
> +	if [ ${BASH_VERSINFO[0]} -gt 3 ]; then
> +		echo "$1"
> +		return
> +	fi
>  	local t="${1//\\/\\\\}"
>  	echo \'${t//\'/\'\\\'\'}\' #'# Help vim syntax highlighting
>  }

Thanks, that at least fixed the problem for me. I have added
these 4 lines for now and hope for what upstream is doing.

Best wishes

Norbert

-------------------------------------------------------------------------------
Dr. Norbert Preining <preining@logic.at>        Vienna University of Technology
Debian Developer <preining@debian.org>                         Debian TeX Group
gpg DSA: 0x09C5B094      fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
-------------------------------------------------------------------------------
QUABBS (pl.n.)
The substances which emerge when you squeeze a blackhead.
			--- Douglas Adams, The Meaning of Liff




Information forwarded to debian-bugs-dist@lists.debian.org, Bash Completion Maintainers <bash-completion-devel@lists.alioth.debian.org>:
Bug#544024; Package bash-completion. (Fri, 04 Sep 2009 20:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ville Skyttä <ville.skytta@iki.fi>:
Extra info received and forwarded to list. Copy sent to Bash Completion Maintainers <bash-completion-devel@lists.alioth.debian.org>. (Fri, 04 Sep 2009 20:18:06 GMT) Full text and rfc822 format available.

Message #32 received at 544024@bugs.debian.org (full text, mbox):

From: Ville Skyttä <ville.skytta@iki.fi>
To: bash-completion-devel@lists.alioth.debian.org, Norbert Preining <preining@logic.at>, 544024@bugs.debian.org
Cc: EspeonEefi <espeoneefi@eep.dnsalias.org>
Subject: Re: [Bash-completion-devel] Bug#544024: Completion with backslashes broken
Date: Fri, 4 Sep 2009 23:06:06 +0300
On Thursday 03 September 2009, Norbert Preining wrote:
> On Do, 03 Sep 2009, EspeonEefi wrote:
> > --- /etc/bash_completion.orig	2009-09-03 08:21:15.229720217 -0400
> > +++ /etc/bash_completion	2009-09-03 08:21:36.473719600 -0400
> > @@ -213,6 +213,10 @@
> >  # results in the original argument
> >  quote_readline()
> >  {
> > +	if [ ${BASH_VERSINFO[0]} -gt 3 ]; then
> > +		echo "$1"
> > +		return
> > +	fi
> >  	local t="${1//\\/\\\\}"
> >  	echo \'${t//\'/\'\\\'\'}\' #'# Help vim syntax highlighting
> >  }
>
> Thanks, that at least fixed the problem for me. I have added
> these 4 lines for now and hope for what upstream is doing.

Practically the same thing.  There's just no release with this fix out yet.

http://git.debian.org/?p=bash-completion/bash-
completion.git;a=commitdiff;h=1421e55aac075e13491cd212b796bdd453214a2c

http://git.debian.org/?p=bash-completion/bash-
completion.git;a=commitdiff;h=4475d3634923de7a169c67aaa197f388bb418de8




Information forwarded to debian-bugs-dist@lists.debian.org, Bash Completion Maintainers <bash-completion-devel@lists.alioth.debian.org>:
Bug#544024; Package bash-completion. (Fri, 04 Sep 2009 20:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Paleino <d.paleino@gmail.com>:
Extra info received and forwarded to list. Copy sent to Bash Completion Maintainers <bash-completion-devel@lists.alioth.debian.org>. (Fri, 04 Sep 2009 20:27:05 GMT) Full text and rfc822 format available.

Message #37 received at 544024@bugs.debian.org (full text, mbox):

From: David Paleino <d.paleino@gmail.com>
To: bash-completion-devel@lists.alioth.debian.org
Cc: Norbert Preining <preining@logic.at>, 544024@bugs.debian.org, EspeonEefi <espeoneefi@eep.dnsalias.org>
Subject: Re: [Bash-completion-devel] Bug#544024: Completion with backslashes broken
Date: Fri, 4 Sep 2009 22:20:31 +0200
[Message part 1 (text/plain, inline)]
On Fri, 4 Sep 2009 23:06:06 +0300, Ville Skyttä wrote:

> On Thursday 03 September 2009, Norbert Preining wrote:
> > On Do, 03 Sep 2009, EspeonEefi wrote:
> > > --- /etc/bash_completion.orig	2009-09-03 08:21:15.229720217 -0400
> > > +++ /etc/bash_completion	2009-09-03 08:21:36.473719600 -0400
> > > @@ -213,6 +213,10 @@
> > >  # results in the original argument
> > >  quote_readline()
> > >  {
> > > +	if [ ${BASH_VERSINFO[0]} -gt 3 ]; then
> > > +		echo "$1"
> > > +		return
> > > +	fi
> > >  	local t="${1//\\/\\\\}"
> > >  	echo \'${t//\'/\'\\\'\'}\' #'# Help vim syntax highlighting
> > >  }
> >
> > Thanks, that at least fixed the problem for me. I have added
> > these 4 lines for now and hope for what upstream is doing.
> 
> Practically the same thing.  There's just no release with this fix out yet.
> 
> http://git.debian.org/?p=bash-completion/bash-
> completion.git;a=commitdiff;h=1421e55aac075e13491cd212b796bdd453214a2c
> 
> http://git.debian.org/?p=bash-completion/bash-
> completion.git;a=commitdiff;h=4475d3634923de7a169c67aaa197f388bb418de8

I hope we can get a release out in September :)

Kindly,
David

-- 
 . ''`.  Debian maintainer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://snipr.com/qa_page
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) confirmed, pending, and fixed-upstream. Request was from David Paleino <d.paleino@gmail.com> to control@bugs.debian.org. (Wed, 16 Sep 2009 11:21:13 GMT) Full text and rfc822 format available.

Merged 544024 547349. Request was from dbts.mhbt@dfgh.net to control@bugs.debian.org. (Tue, 29 Sep 2009 03:45:03 GMT) Full text and rfc822 format available.

Merged 544024 547349 549284. Request was from Freddy Vulto <fvulto@gmail.com> to control@bugs.debian.org. (Fri, 02 Oct 2009 12:04:18 GMT) Full text and rfc822 format available.

Merged 544024 547349 549284 549548. Request was from Freddy Vulto <fvulto@gmail.com> to control@bugs.debian.org. (Mon, 05 Oct 2009 21:09:09 GMT) Full text and rfc822 format available.

Merged 544024 547349 549284 549548 550186. Request was from David Paleino <d.paleino@gmail.com> to control@bugs.debian.org. (Thu, 08 Oct 2009 20:00:10 GMT) Full text and rfc822 format available.

Reply sent to David Paleino <d.paleino@gmail.com>:
You have taken responsibility. (Sat, 10 Oct 2009 17:06:35 GMT) Full text and rfc822 format available.

Notification sent to Norbert Preining <preining@logic.at>:
Bug acknowledged by developer. (Sat, 10 Oct 2009 17:06:35 GMT) Full text and rfc822 format available.

Message #52 received at 544024-close@bugs.debian.org (full text, mbox):

From: David Paleino <d.paleino@gmail.com>
To: 544024-close@bugs.debian.org
Subject: Bug#544024: fixed in bash-completion 1:1.1-1
Date: Sat, 10 Oct 2009 16:47:18 +0000
Source: bash-completion
Source-Version: 1:1.1-1

We believe that the bug you reported is fixed in the latest version of
bash-completion, which is due to be installed in the Debian FTP archive:

bash-completion_1.1-1.diff.gz
  to pool/main/b/bash-completion/bash-completion_1.1-1.diff.gz
bash-completion_1.1-1.dsc
  to pool/main/b/bash-completion/bash-completion_1.1-1.dsc
bash-completion_1.1-1_all.deb
  to pool/main/b/bash-completion/bash-completion_1.1-1_all.deb
bash-completion_1.1.orig.tar.gz
  to pool/main/b/bash-completion/bash-completion_1.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 544024@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Paleino <d.paleino@gmail.com> (supplier of updated bash-completion package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 10 Oct 2009 18:11:00 +0200
Source: bash-completion
Binary: bash-completion
Architecture: source all
Version: 1:1.1-1
Distribution: unstable
Urgency: low
Maintainer: d.paleino@gmail.com
Changed-By: David Paleino <d.paleino@gmail.com>
Description: 
 bash-completion - programmable completion for the bash shell
Closes: 504213 518561 524190 524961 531337 531343 534901 535105 535585 540033 544024 545743 545978 547550
Changes: 
 bash-completion (1:1.1-1) unstable; urgency=low
 .
   * New upstream release
     - fix svk completion using $filenames instead of $default
       (Closes: #524961)
     - fix typo in .ass subtitles completion for mplayer
       (Closes: #531337)
     - fix regression on man(1) completion: also complete on local .3pm
       files (Closes: #531343)
     - added avahi-discovered hosts to _known_hosts_real()
       (Closes: #518561)
     - added m4v completion to mplayer (Closes: #504213)
     - improve qemu completion (Closes: #534901)
     - added sshfs completion (shares the same as scp) (Closes: #545978)
     - added --no-generate to "apt-cache pkgnames" calls, make it faster
       on certain configurations (Closes: #547550)
     - add *.ogv to xine-based players (Closes: #540033)
     - fix sbcl file/dirname completion (Closes: #545743)
     - fix _quote_readline on bash 4 (Closes: #544024)
     - patched _known_hosts() to support multiple
       {Global,User}KnownHosts in SSH config files, thanks to Thomas
       Nilsson (Closes: #524190)
     - fix completing multiple hosts (Closes: #535585)
   * debian/extra/bash-completion.pm moved to bash_completion.pm
     (Closes: #535105)
   * debian/patches/ removed, merged upstream
   * debian/rules:
     - passing debian/CHANGES to dh_installchangelogs, it's missing from
       upstream tarball :(
     - rewritten using dh7
   * debian/control:
     - debhelper Build-Dependency bumped to >= 7.0.50
     - removed quilt Build-Dependency, no more used
     - added ${misc:Depends} dependency
     - Standards-Version bumped to 3.8.3, no changes needed
   * debian/compat bumped to 7
   * debian/docs added
   * debian/install updated, using upstream buildsystem
Checksums-Sha1: 
 a489a8bf5170f225b095bceb87799f23828fe2bf 1317 bash-completion_1.1-1.dsc
 0e666ebda3d577571ab62bcecc16e1024922cd18 163598 bash-completion_1.1.orig.tar.gz
 7ab79801fa680b8c7855f30a160c06b78e4dc710 15493 bash-completion_1.1-1.diff.gz
 b6cbe3b49e729bcd77c2a11e24af62ebb3f73d70 126996 bash-completion_1.1-1_all.deb
Checksums-Sha256: 
 055ac8a7cf5eb335a871017b63031946a127c3f7ef2c869a72dbf996a2dda047 1317 bash-completion_1.1-1.dsc
 53369b32493b58c3d0d7d45630c329faa3ca209ed6e7a6c5392a19e67904721b 163598 bash-completion_1.1.orig.tar.gz
 7911adcce7ce05951186bd4d875e5e1527d870ae9fc7e91f663fb58c2778adce 15493 bash-completion_1.1-1.diff.gz
 acfe70a65d6a162677c0de8e6711f49510d8916e5058e1e2bca1259ec3b8cc19 126996 bash-completion_1.1-1_all.deb
Files: 
 4443a225e5af2f644f7457aac8c8c7ed 1317 shells standard bash-completion_1.1-1.dsc
 593d3edcf287b9e9d735049bd4d3f229 163598 shells standard bash-completion_1.1.orig.tar.gz
 8c259b4cf3747a0029acf4bca140be91 15493 shells standard bash-completion_1.1-1.diff.gz
 f41ce223bce595a8a3324ff8a9579e16 126996 shells standard bash-completion_1.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkrQsvwACgkQ5qqQFxOSsXQBOQCfZnO7RvncKmbvQDed4izHoCZO
v80AnRsQyOCYzq4zJgKnSqZbfMS55Mmd
=Lf6B
-----END PGP SIGNATURE-----





Reply sent to David Paleino <d.paleino@gmail.com>:
You have taken responsibility. (Sat, 10 Oct 2009 17:06:36 GMT) Full text and rfc822 format available.

Notification sent to alex <alex@samad.com.au>:
Bug acknowledged by developer. (Sat, 10 Oct 2009 17:06:36 GMT) Full text and rfc822 format available.

Reply sent to David Paleino <d.paleino@gmail.com>:
You have taken responsibility. (Sat, 10 Oct 2009 17:06:37 GMT) Full text and rfc822 format available.

Notification sent to Joseph Nahmias <joe@nahmias.net>:
Bug acknowledged by developer. (Sat, 10 Oct 2009 17:06:37 GMT) Full text and rfc822 format available.

Reply sent to David Paleino <d.paleino@gmail.com>:
You have taken responsibility. (Sat, 10 Oct 2009 17:06:38 GMT) Full text and rfc822 format available.

Notification sent to Gerfried Fuchs <rhonda@debian.at>:
Bug acknowledged by developer. (Sat, 10 Oct 2009 17:06:38 GMT) Full text and rfc822 format available.

Reply sent to David Paleino <d.paleino@gmail.com>:
You have taken responsibility. (Sat, 10 Oct 2009 17:06:39 GMT) Full text and rfc822 format available.

Notification sent to Erwin Burgstaller <debianbugs.berknapp@spamgourmet.com>:
Bug acknowledged by developer. (Sat, 10 Oct 2009 17:06:39 GMT) Full text and rfc822 format available.

Forcibly Merged 544024 547349 549284 549548 550186 556224. Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Sat, 14 Nov 2009 17:06:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 24 Dec 2009 07:29:49 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 09 Dec 2010 04:27:08 GMT) Full text and rfc822 format available.

Forcibly Merged 543982 544024 544956 547349 548454 549284 549548 550186 556224. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 09 Dec 2010 04:27:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 06 Jan 2011 07:31:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 05:30:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.